"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _hoistNonReactStatics = _interopRequireDefault(require("hoist-non-react-statics"));

var _core = require("@material-ui/core");

var _getDisplayName = _interopRequireDefault(require("../util/getDisplayName"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * inject Material-ui's default cssbaseline
 */
var withCssBaseline = function withCssBaseline(BaseComponent) {
  var InjectMUICssBaseline = function InjectMUICssBaseline(props) {
    var CssBaselineWrapper = _core.CssBaseline;
    return _react.default.createElement("div", null, _react.default.createElement(CssBaselineWrapper, null), _react.default.createElement(BaseComponent, props));
  }; // wrap displayName for easier debug


  InjectMUICssBaseline.displayName = "withCssBaseline(".concat((0, _getDisplayName.default)(BaseComponent), ")"); // hoist all static functions

  (0, _hoistNonReactStatics.default)(InjectMUICssBaseline, BaseComponent);
  return InjectMUICssBaseline;
};

var _default = withCssBaseline;
exports.default = _default;
module.exports = exports.default;